> ## Documentation Index
> Fetch the complete documentation index at: https://developers.speedvitals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all TTFB regions

> Returns a list of SpeedVitals supported regions for TTFB test



## OpenAPI

````yaml api-reference/openapi.json get /v1/ttfb-regions
openapi: 3.1.0
info:
  contact:
    email: contact@speedvitals.com
    name: SpeedVitals Dev Team
    url: https://speedvitals.com
  description: >
    The SpeedVitals REST API. Please see
    [https://docs.speedvitals.com/api](https://docs.speedvitals.com/api/) for
    more details.
  termsOfService: https://speedvitals.com/terms-of-use
  title: SpeedVitals API
  version: 0.1.0
servers:
  - url: https://api.speedvitals.com
security:
  - apiKey: []
tags:
  - name: Ping
  - name: Devices
  - name: Locations
  - name: Lighthouse Tests
  - name: Lighthouse Batch Tests
  - name: TTFB Regions
  - name: TTFB Tests
  - name: Account
externalDocs:
  description: Home
  url: https://speedvitals.com
paths:
  /v1/ttfb-regions:
    get:
      tags:
        - TTFB Regions
      summary: List all TTFB regions
      description: Returns a list of SpeedVitals supported regions for TTFB test
      operationId: GetTtfbRegions
      responses:
        '200':
          content:
            application/json:
              schema:
                description: An object containing a list of ttfb regions
                type: object
                properties:
                  data:
                    type: array
                    description: An array of region objects
                    items:
                      $ref: '#/components/schemas/ttfb_region'
              examples:
                default:
                  $ref: '#/components/examples/ttfb_regions'
          description: Successful response.
      security: []
components:
  schemas:
    ttfb_region:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ttfb_region_id'
        name:
          type: string
          example: Asia Pacific and Africa
        locations:
          type: array
          items:
            $ref: '#/components/schemas/ttfb_location'
    ttfb_region_id:
      type: string
      example: asia
      enum:
        - asia
        - america
        - europe
    ttfb_location:
      type: object
      properties:
        id:
          type: string
          example: del
        name:
          type: string
          example: Delhi
  examples:
    ttfb_regions:
      value:
        data:
          - id: asia
            name: Asia Pacific and Africa
            locations:
              - id: del
                name: Delhi
              - id: sgp
                name: Singapore
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````